API reference
Retrieve an x402 payment intent
Retrieve an x402 payment intent. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.
GET
/v1/agent-payments/runtime/intents/{intentId}Authorization
agentKey AuthorizationBearer <token>
Paste the Agent Key bound to one payment agent. Agent Keys only work on Runtime endpoints.
In: header
Response Body
application/json
curl -X GET "https://example.com/v1/agent-payments/runtime/intents/{intentId}"{
"intent_id": "string",
"status": "created",
"approval_id": "string",
"approval_expires_at": "2019-08-24T14:15:22Z",
"resource_status": "not_requested",
"method": "GET",
"request_body_hash": "string",
"request_content_type": "string",
"resource_url": "string",
"origin": "string",
"pay_to": "string",
"network": "string",
"asset": "USDC",
"asset_contract": "string",
"asset_decimals": 1,
"max_amount_atomic": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"settled_at": "2019-08-24T14:15:22Z",
"requirements": {
"x402_version": 2,
"scheme": "exact",
"network": "string",
"asset": "string",
"pay_to": "string",
"max_amount_atomic": "string",
"max_timeout_seconds": 1,
"extra": {
"property1": null,
"property2": null
}
},
"context": {
"workflow_id": "string",
"task_id": "string",
"session_id": "string",
"tool_name": "string",
"purpose_code": "string",
"cost_center": "string",
"vendor_ref": "string"
},
"context_hash": "string"
}Empty
How is this guide?
Last updated
Preview an x402 purchase without creating an intent POST
Preview an x402 purchase with StableOps before creating an Intent, including policy, approval, wallet, risk-gate, and projected budget outcomes.
Issue an x402 execution grant for an approved intent POST
Issue an x402 execution grant for an approved intent. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, response fields.